# xarray.IndexVariable.rank

`IndexVariable.``rank`(dim, pct=False)

  Ranks the data.

  Equal values are assigned a rank that is the average of the ranks that would have been otherwise assigned to all of the values within that set. Ranks begin at 1, not 0. If pct, computes percentage ranks.

  NaNs in the input array are returned as NaNs.

  The bottleneck library is required.

  Parameters:

  - dim (str) – Dimension over which to compute rank.
  - pct (bool, optional) – If True, compute percentage ranks, otherwise compute integer ranks.

  Returns: | ranked
  Return type: | Variable

  See also

  `Dataset.rank()`, `DataArray.rank()`